<?php

use tests\codeception\common\_pages\LoginPage;
use tests\codeception\frontend\_pages\SignupPage;
use tests\codeception\frontend\FunctionalTester;

/* @var $scenario Codeception\Scenario */

$I = new FunctionalTester($scenario);
$signupPage = SignupPage::openBy($I);

$I->wantTo("m'assurer que le formulaire d'inscription fonctionne");
$I->see('Inscription', 'h1');

$I->amGoingTo("m'inscrire en tant que client");
$signupPage->submit([
    'email' => 'testclient@opendistrib.net',
    'password' => 'password',
    'lastname' => 'Nom',
    'name' => 'Prénom',
    'phone' => '0600000000',
    'option_user_producer' => 'user',
    'id_producer' => '32',
    'is_test' => 'isTest'
]);
$I->see('Votre inscription a bien été prise en compte', '.alert-success');


$I->amOnPage('logout');
$I->see('un outil pour organiser des ventes en circuit court', 'h1');


$I->amOnPage($signupPage->route);
$I->amGoingTo("m'inscrire en tant que producteur");
$signupPage->submit([
    'email' => 'testproducteur@opendistrib.net',
    'password' => 'password',
    'lastname' => 'Nom',
    'name' => 'Prénom',
    'phone' => '0600000000',
    'option_user_producer' => 'producer',
    'name_producer' => 'Producteur',
    'type' => 'Boulangerie',
    'postcode' => '25000',
    'city' => 'Besançon',
    'id_tax_rate_default' => '1',
    'cgv' => '1',
    'is_test' => 'isTest'
]);
$I->see('Votre inscription a bien été prise en compte', '.alert-success');